Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.slide.event
Class SecurityEvent

    java.lang.Object
      java.util.EventObject
          org.apache.slide.event.SecurityEvent

All Implemented Interfaces:
  java.io.Serializable

public class SecurityEvent
extends java.util.EventObject

Security event class

Version:
  $Revision: 1.3 $
See Also:
  Serialized Form

Nested Class Summary
`static class` | `SecurityEvent.DenyPermission`
`static class` | `SecurityEvent.GrantPermission`
`static class` | `SecurityEvent.RevokePermission`

Field Summary
`static SecurityEvent.DenyPermission` | `DENY_PERMISSION`
`static SecurityEvent.GrantPermission` | `GRANT_PERMISSION`
`static java.lang.String` | `GROUP`
`static AbstractEventMethod[]` | `methods`
`static SecurityEvent.RevokePermission` | `REVOKE_PERMISSION`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`SecurityEvent(java.lang.Object source, SlideToken token, Namespace namespace, Uri objectUri, NodePermission permission)`

Method Summary
`Namespace` | `getNamespace()`
`Uri` | `getObjectUri()`
`NodePermission` | `getPermission()`
`SlideToken` | `getToken()`
`java.lang.String` | `toString()`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### GRANT_PERMISSION

    public static final SecurityEvent.GrantPermission GRANT_PERMISSION

### REVOKE_PERMISSION

    public static final SecurityEvent.RevokePermission REVOKE_PERMISSION

### DENY_PERMISSION

    public static final SecurityEvent.DenyPermission DENY_PERMISSION

### GROUP

    public static final java.lang.String GROUP

See Also:
  Constant Field Values

### methods

    public static final AbstractEventMethod[] methods

Constructor Detail

### SecurityEvent

    public SecurityEvent(java.lang.Object source,
                         SlideToken token,
                         Namespace namespace,
                         Uri objectUri,
                         NodePermission permission)

Method Detail

### getNamespace

    public Namespace getNamespace()

### toString

    public java.lang.String toString()

### getObjectUri

    public Uri getObjectUri()

### getToken

    public SlideToken getToken()

### getPermission

    public NodePermission getPermission()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD